=== debian/control ===
Source: veromix
Section: kde
Priority: optional
Maintainer: Nik Lutz <nik.lutz@gmail.com>
Build-Depends: debhelper (>= 8), gettext, kdelibs-bin, kdesdk-scripts, python
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/veromix-plasmoid/
Vcs-Browser: http://code.google.com/p/veromix-plasmoid/source/browse/
Vcs-Svn: http://veromix-plasmoid.googlecode.com/svn/trunk/

Package: plasma-widget-veromix
Architecture: all
Depends:
 ${misc:Depends}, ${python:Depends}, plasma-scriptengine-python, pulseaudio,
 python-xdg, python-qt4-dbus, swh-plugins
Description: plasma widget to control pulseaudio
 Veromix is a mixer for the Pulseaudio sound server.
 .
 Features:
  * control volume of each playback stream
  * control volume of devices (hardware)
  * control volume of input devices (microphone)
  * move playback streams between different devices (drag icon of playback
    stream and drop it on target device)
  * mute/unmute (click icon)
  * volume meter (on mouse over)
  * PopUp-Applet (icon-representation if inside panel)
  * can life in system tray / notification area
  * kill playback streams
  * set default output device
  * Middle-click on panel icon mutes default output
  * Mouse-wheel over panel icon increases/decreases volume of default output
  * supports global hotkeys
  * set volume above 100%
