=== debian/changelog ===
veromix (0.18.3-1) unstable; urgency=low

  * New upstream release.
  * Adding /usr/share/locale and /usr/share/icons to veromix-common.install.
  * Fixing python3 syntax error.
    Patch by Johannes Kloos <jkloos@unix-ag.uni-kl.de> (Closes: #676827).
  * Fix encoding problem (Closes #677445).

 -- Nik Lutz <nik.lutz@gmail.com>  Mon, 14 Jun 2012 00:01:00 +0100

veromix (0.17.0-1) unstable; urgency=low

  * New upstream release (adds Gtk frontend).
  * Updated debian/control:
    - Standards-Version to 3.9.3 (no changes).
    - Change Section from kde to sound.
    - New binary packages: veromix-common, veromix.
    - Moving dependencies from plasma-widget-veromix to veromix-common.
    - Removing kdelibs-bin and kdesdk-scripts from Build-Depends.
    - Adding python3 as Build-Depends.
  * Update debian/copyright.
  * Update debian/rules:
    - Also using gzip compression level 9 for binary packages.
    - Update override_dh_python2 for new packages.
  * Adding manpage for veromix (debian/veromix.1, debian/veromix.manpages).
  * New Files:
    - veromix.1
    - veromix.install
    - veromix.links
    - veromix-common.install
    - veromix.manpages

 -- Nik Lutz <nik.lutz@gmail.com>  Tue, 05 Jun 2012 11:50:00 +0100

veromix (0.16.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control convert Vcs-Svn field to Vcs-Git.

 -- Nik Lutz <nik.lutz@gmail.com>  Wed, 04 Apr 2012 00:41:03 +0100
